// store/index.js
import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);
import {
	getConfigByKey
} from '@/api/index.js'
export default new Vuex.Store({
  state: {
	 webviewUrl: '',
	 wsDanmuUrl: 'wss://userapp.cqsft.vip', // 弹幕评论接口地址
	 //红包领取规则:
	 answerType: 1, //红包领取规则 0：完课且最后一分钟（第二次无需最后一分钟）， 1:按完课百分比答题领红包
	 isSpare:0, // 0，主要小程序，1：备选
	 uploadFile: 'https://userapp.cqsft.vip',
	imgpath: 'https://kntobs.jnmyunl.com',//康年臻选商城图片请求地址
	// https://kntobs.jnmyunl.com/shop  康年臻选商城图片链接
	logoname:'康年臻选',
	appid:'wx1de020b57c05a990',//康年臻选
  },
  mutations: {
    setCount(state, value) {
      state.count = value;
    },
    setUserInfo(state, info) {
      state.userInfo = info;
    },
	setWebviewUrl(state, value) {
		state.webviewUrl = value;
	}
  },
  actions: {
    fetchUser({ commit }) {
      // const res = await uni.request({ url: '/api/user' });
      commit('setUserInfo', 'noe');
    },
	getWebviewUrl({commit}) {
		var that = this;
		var data = {
			key: 'course.config'
		}
		return new Promise((resolve, reject) => {
			getConfigByKey(data).then(res => {
				if (res.code == 200) {
					console.log("getConfigByKey====", JSON.parse(res.data))
					let data = JSON.parse(res.data)
					commit('setWebviewUrl', data.userCourseAuthDomain);
					resolve()
				}
			}).catch(error => {
				reject(error)
			});
		})
	}
  }
});